Skip to main content
POST
Create agent

Authorizations

Authorization
string
header
required

API key from your account settings

Body

application/json
name
string
required

Agent name

Required string length: 1 - 100
Example:

"Support Bot"

url
string<uri>

Homepage URL of the product. The agent is pre-configured to answer questions about this website.

Example:

"https://example.com"

instructions
string

System prompt / instructions for the agent (max 30,000 characters)

Maximum string length: 30000
model
enum<string>

AI model to use

Available options:
gpt-oss-120b,
gpt-oss-20b,
gpt-5.2,
gpt-5.5,
gpt-5.6-terra,
gpt-6.1-sol,
gpt-6-luna,
claude-opus-5-5,
claude-sonnet-5-5,
claude-haiku-5-5,
gemini-2.5-pro,
gemini-3-flash,
gemini-3.1-flash-lite,
gemini-3.1-pro,
gemini-3.5-flash-lite,
gemini-3.6-flash,
gemini-3.8-flash,
grok-4.7,
DeepSeek-V3.1,
DeepSeek-R1,
DeepSeek-V4-Flash,
DeepSeek-V4.1-Flash,
kimi-k2.6,
mistral-medium-3.5,
mistral-small-2603,
glm-5.2,
glm-5.3-flash,
auto
Example:

"gpt-5.6-terra"

temp
number

Model temperature (0–1)

Required range: 0 <= x <= 1
Example:

0

visibility
enum<string>

Agent visibility (default: private)

Available options:
public,
private

Response

Agent created

id
string
required

The agent ID

Example:

"5QHA6VB-DIAbBhxwqxfdi"

pendingSteps
enum<string>[]

Steps that failed after the agent was created, absent when everything succeeded. ADD_SOURCE — the provided URL could not be added as a source; add sources manually via the Sources API. TRAIN_AGENT — training could not be started; trigger it manually via POST /agents/{agentId}/train.

Available options:
ADD_SOURCE,
TRAIN_AGENT